Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 181261 - Provide a way to mark JNLP jars as eager or lazy.
Provide a way to mark JNLP jars as eager or lazy.
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Java Webstart
6.x
PC Mac OS X
: P2 (vote)
: 7.0
Assigned To: Tomas Zezula
issues@projects
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-26 05:33 UTC by Tomas Zezula
Modified: 2010-09-03 03:11 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Zezula 2010-02-26 05:33:51 UTC
Currently there is no way how to mark the jar file to be lazy|eager.
This enhancement has two parts.
1st) Ant task generating the JNLP should be to mark archive as lazy|eager.
2nd)UI for this should be added into the WebStart panel

The 1st point is doable into NB 6.9
The 2nd point for next release
Comment 1 Tomas Zezula 2010-03-17 15:16:14 UTC
jet-main 3a85839b6554
Added a property jnlp.lazy.jars which allows mark jar files as lazy.
No UI for NB 6.9, the property has to be added into project.properties.
The UI should be in next version.
Comment 2 Tomas Zezula 2010-03-17 15:17:15 UTC
Partially fixed in NB 6.9 but the UI part will be in next release.
Comment 3 Tomas Zezula 2010-09-01 18:33:23 UTC
Fixed jet-main 492452be032d
Comment 4 Quality Engineering 2010-09-03 03:11:53 UTC
Integrated into 'main-golden', will be available in build *201009030000* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/492452be032d
User: Tomas Zezula <tzezula@netbeans.org>
Log: #181261:Provide a way to mark JNLP jars as eager or lazy.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo